<!-- 此页面用于自动登录，是一个空白页面 -->
<template>
</template>

<script setup>
	import {
		onMounted
	} from 'vue';
	
	import {
		useUserStore
	} from '@/store';
	const userStore = useUserStore();
	
	onMounted(async () => {
		uni.showLoading({
			title: '加载中'
		});
		let loginRes = await userStore.autoLoginAction();
		uni.hideLoading()
		if (loginRes) {
			uni.switchTab({
				url: '/pages/index/index'
			})
		} else {
			uni.redirectTo({
				url: '/pages/login/index'
			})
		}
	})
	
</script>

<style>
</style>